Subject: [bug#73118] [PATCH v2 0/5] Fix arm-none-eabi toolchains and introduce a newer version 12.3.rel1

From: Rutherther <[email-masked]>
Date: Fri, 13 Sep 2024 11:41:51 +0000

Hello all,

I've poked around the questions I raised last time. The debugging symbols
are quite easy. The only thing missing was that I did not point strip-directories
to the correct directory with the libraries.

I figured out the make flags I introduced did not really take any effect as they were
in the #:configure-flags and not in #:make-flags. So I fixed that as well.

I also did another contribution where I learned a bit about chane log format,
and that it should be used with Guix. So I changed the commits to better reflect
this format. Sorry if it's still wrong, I have hard time wrapping my head around
the exact rules of it.

Regards,
Rutherther

Rutherther (5):
  gnu: make-gcc-arm-none-eabi: reorder C++ native search paths
  gnu: make-libstdc++-arm-none-eabi: output libstdc++ to arm-none-eabi.
  gnu: make-libstdc++-arm-none-eabi: add nano variant
  gnu: newlib arm-none-eabi-7-2018-q2-update: Add proper newlib-nano
    variant.
  gnu: arm-none-eabi toolchain 12.3.rel1

 gnu/local.mk                                 |   1 +
 gnu/packages/embedded.scm                    | 223 +++++++++--
 gnu/packages/patches/newlib-getentropy.patch | 380 +++++++++++++++++++
 3 files changed, 572 insertions(+), 32 deletions(-)
 create mode 100644 gnu/packages/patches/newlib-getentropy.patch

base-commit: f977cb2b609f7122db2cf026cac5ab9d6d44a206
--
2.46.0